# /contextserviceconnections

## GET

A `GET` request can always be filtered by the get [parameters](http://docs.adnuntius.com/api/api-requests) defined in the introduction section of the api documentation.

**Example GET request:**

```http
GET https://api.adnuntius.com/api/v1/contextserviceconnections?context=<context>
```

in order to see `HIDDEN` objects you will need to send `includeHidden=true`as a parameter to the `GET` query

## POST

**Example POST object:**

```http
POST https://api.adnuntius.com/api/v1/contextserviceconnections/<id>?context=<context>
```

```javascript
{
    "objectState": "ACTIVE",
    "name": "Context name",
    "description": "Retrieve keywords from context service",
    "contextService": "CXENSE",
    "username": "user@user.com",
    "apiKey": "apikey",

}
```

| Name           | Required | Restriction              | Description                                             |
| -------------- | -------- | ------------------------ | ------------------------------------------------------- |
| objectState    |          | ACTIVE, INACTIVE, HIDDEN | State of the object, will disable or delete the object. |
| name           | Yes      | String                   | The name of the object                                  |
| contextService | yes      | "CXENSE" (String)        | The Context service in question                         |
| username       | yes      | String                   | The username of the user for the context service        |
| apiKey         | yes      | String                   | The key of the api for the context service              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/contextserviceconnections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
